This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1273314 - Cannot set socketTimeout lower than 1000 in C++ client
Cannot set socketTimeout lower than 1000 in C++ client
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: CPP Client (Show other bugs)
6.5.1
Unspecified Unspecified
unspecified Severity unspecified
: ER1
: 6.6.0
Assigned To: Tristan Tarrant
Alan Field
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-20 04:15 EDT by Osamu Nagano
Modified: 2015-11-08 20:12 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cpphotrodclient.zip (2.89 KB, application/zip)
2015-10-20 04:16 EDT, Osamu Nagano
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HRCPP-201 Major Resolved Socket timeout below one second is misinterpreted 2017-07-11 22:56 EDT

  None (edit)
Description Osamu Nagano 2015-10-20 04:15:53 EDT
Description of problem:
If you set ConfigurationBuilder.socketTimeout(999), the client fails to connect to the server.  Here is a debug log for ping operation.  socketTimeout(1000) works without errors.

~~~
TRACE [Socket.cpp:107] Trying to connect to 127.0.0.1 (127.0.0.1).
DEBUG [ConnectionPool.cpp:133] Ensuring idle connection limits
DEBUG [ConnectionPool.cpp:138] Testing idle connections
DEBUG [Socket.cpp:134] Attempting connection to 127.0.0.1:11222
DEBUG [Socket.cpp:184] Connected to 127.0.0.1:11222
TRACE [PingOperation.cpp:27] Executing Ping
TRACE [TcpTransportFactory.cpp:130] Initial ping has thrown an exception when pinging 127.0.0.1:11222 : timeout (host: 127.0.0.1 port: 11222) Resource temporarily unavailable
~~~


Version-Release number of selected component (if applicable):
JDG 6.5.1
RHEL 6.6, 7.1


Steps to Reproduce:
$ sudo yum install lua-devel
$ unzip cpphotrodclient.zip
$ cd cpphotrodclient
$ vi Makefile # modify the path of HOTROD_DIST
$ make runlib


Additional info:
connectionTimeout seems to work with 999.
Comment 1 Osamu Nagano 2015-10-20 04:16 EDT
Created attachment 1084649 [details]
cpphotrodclient.zip
Comment 3 JBoss JIRA Server 2015-10-28 06:15:42 EDT
Tristan Tarrant <ttarrant@redhat.com> updated the status of jira HRCPP-201 to Coding In Progress
Comment 8 Alan Field 2015-11-06 15:15:30 EST
Verified in JDG 6.6.0 ER1

Note You need to log in before you can comment on or make changes to this bug.